package rpc

import (
	"context"

	"gitlink.org.cn/cloudream/jcs-pub/common/pkgs/rpc"
	hubrpc "gitlink.org.cn/cloudream/jcs-pub/common/pkgs/rpc/hub"
)

func (s *Service) Ping(context.Context, *hubrpc.Ping) (*hubrpc.PingResp, *rpc.CodeError) {
	return &hubrpc.PingResp{}, nil
}

func (svc *Service) GetState(context context.Context, msg *hubrpc.GetState) (*hubrpc.GetStateResp, *rpc.CodeError) {
	return &hubrpc.GetStateResp{}, nil
}
